#include <stdlib.h>
#include <string.h>

unsigned int A,B,C,najveciBroj;
unsigned int A1,B1,C1;
char As[1000],Bs[1000],Cs[1000],broj[3000];

void brojevi(unsigned int A,unsigned int B,unsigned int C);
int main()
{
    scanf("%u%u%u",&A,&B,&C);
    sprintf(As,"%u",A);
    sprintf(Bs,"%u",B);
    sprintf(Cs,"%u",C);
    brojevi(A,B,C);
    printf("%d",najveciBroj);
    return 0;
}
void brojevi(unsigned int A,unsigned int B,unsigned int C){
   if(A!=B||A!=C){
    strcpy(broj,As);
    strcat(broj,Bs);
    strcat(broj,Cs);
A=(unsigned int)atoi(broj);
    strcpy(broj,As);
    strcat(broj,Cs);
    strcat(broj,Bs);
A1=(unsigned int)atoi(broj);
    strcpy(broj,Bs);
    strcat(broj,As);
    strcat(broj,Cs);
B=(unsigned int)atoi(broj);
    strcpy(broj,Bs);
    strcat(broj,Cs);
    strcat(broj,As);
B1=(unsigned int)atoi(broj);
    strcpy(broj,Cs);
    strcat(broj,As);
    strcat(broj,Bs);
C=(unsigned int)atoi(broj);
    strcpy(broj,Cs);
    strcat(broj,Bs);
    strcat(broj,As);
C1=(unsigned int)atoi(broj);
if(A>=B&&A>=C&&A>=A1&&A>=B1&&A>=C1){
    najveciBroj=A;
  }
if(B>=A&&B>=C&&B>=A1&&B>=B1&&B>=C1){
    najveciBroj=B;
  }
if(C>=B&&C>=A&&C>=A1&&C>=B1&&C>=C1){
    najveciBroj=C;
  }
if(A1>=B&&A1>=C&&A1>=A&&A1>=B1&&A1>=C1){
    najveciBroj=A1;
  }
if(B1>=B&&B1>=C&&B1>=A1&&B1>=B&&A>=C1){
    najveciBroj=B1;
  }
if(C1>=B&&C1>=C&&C1>=A1&&C1>=B1&&C1>=C){
    najveciBroj=C1;
  }
  }
if(A==B&&A==C){
    strcpy(broj,As);
    strcat(broj,Bs);
    strcat(broj,Cs);
   najveciBroj=(unsigned int)atoi(broj);
  }
}